ZWrtTextInternal::HFZone Struct Reference

Internal: struct used to store a header/footer of a ZWrtText. More...

## Public Member Functions

| HFZone ()
| constructor
bool | ok () const
| returns true if the zone is not empty
std::string | getDebugString (MWAWFontConverterPtr &convert) const
| operator<<

## Public Attributes

MWAWEntry | m_pos
| the text position
Font | m_font
| the font
std::string | m_extra
| extra data

## Detailed Description

Internal: struct used to store a header/footer of a ZWrtText.

## Constructor & Destructor Documentation

## HFZone()

ZWrtTextInternal::HFZone::HFZone | ( |  | ) |

inline

constructor

## Member Function Documentation

## getDebugString()

std::string ZWrtTextInternal::HFZone::getDebugString | ( | MWAWFontConverterPtr & | convert | ) | const

inline

operator<<

## ok()

bool ZWrtTextInternal::HFZone::ok | ( |  | ) | const

inline

returns true if the zone is not empty

## Member Data Documentation

## m_extra

std::string ZWrtTextInternal::HFZone::m_extra

extra data

Referenced by getDebugString(), and HFZone().

## m_font

Font ZWrtTextInternal::HFZone::m_font

the font

Referenced by getDebugString(), and HFZone().

## m_pos

MWAWEntry ZWrtTextInternal::HFZone::m_pos

the text position

Referenced by getDebugString(), HFZone(), and ok().

The documentation for this struct was generated from the following file:

- ZWrtText.cxx